Update Release

Endpoint

PATCH /releases/{id}

Authentication

Required: Authorization header with valid token

Path Parameters

ParameterTypeRequiredDescription
iduuidYesRelease unique identifier

Request Body

All fields are optional. Only include the fields you want to update.

{
  "startDate": "2024-01-05T08:00:00Z",
  "endDate": "2024-01-10T17:00:00Z",
  "bookingId": "uuid",
  "percentage": 50,
  "quantity": 2.5,
  "reason": "Updated release reason",
  "externalId": "external-release-123"
}

Fields descriptions see here

Response

ReleaseEntity Schema

Error

Error Schema

Example Usage

Update release dates and percentage

curl -X PATCH "https://integration-api.ram.syniotec.com/master-data/v1/booking-management/releases/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "startDate": "2024-01-05T08:00:00Z",
    "percentage": 75
  }'